Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 710324 - dev-libs/librdkafka: fails to build with -fno-common or gcc-10
Summary: dev-libs/librdkafka: fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Thomas Deutschmann
URL: https://github.com/edenhill/librdkafk...
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-20 18:20 UTC by Toralf Förster
Modified: 2020-05-08 22:49 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.98 KB, text/plain)
2020-02-20 18:21 UTC, Toralf Förster
Details
dev-libs:librdkafka-1.3.0:20200220-002550.log (dev-libs:librdkafka-1.3.0:20200220-002550.log,78.37 KB, text/plain)
2020-02-20 18:21 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,149.88 KB, text/plain)
2020-02-20 18:21 UTC, Toralf Förster
Details
environment (environment,51.23 KB, text/plain)
2020-02-20 18:21 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.42 KB, application/x-bzip)
2020-02-20 18:21 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,2.88 KB, application/x-bzip)
2020-02-20 18:21 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,19.00 KB, application/x-bzip)
2020-02-20 18:21 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-20 18:20:59 UTC
x86_64-pc-linux-gnu-gcc -MD -MP -O2 -fPIC -Wall -Wsign-compare -Wfloat-equal -Wpointer-arith -Wcast-align -O2 -pipe -march=native -fno-common -I../src -O2 -pipe -march=native -fno-common    -c sockem.c -o sockem.o
x86_64-pc-linux-gnu-gcc -MD -MP -O2 -fPIC -Wall -Wsign-compare -Wfloat-equal -Wpointer-arith -Wcast-align -O2 -pipe -march=native -fno-common -I../src -O2 -pipe -march=native -fno-common    -c sockem_ctrl.c -o sockem_ctrl.o
Creating program test-runner
x86_64-pc-linux-gnu-gcc -O2 -fPIC -Wall -Wsign-compare -Wfloat-equal -Wpointer-arith -Wcast-align -Wl,-O1 -Wl,--as-needed -rdynamic -L../src -L../src-cpp -Wl,-O1 -Wl,--as-needed -L/usr/lib64 0000-unittests.o 0001-multiobj.o 0002-unkpart.o 0003-msgmaxsize.o 0004-conf.o 0005-order.o 0006-symbols.o 0007-autotopic.o 0008-reqacks.o 0009-mock_cluster.o 0011-produce_batch.o 0012-produce_consume.o 0013-null-msgs.o 0014-reconsume-191.o 0015-offset_seeks.o 0017-compression.o 0018-cgrp_term.o 0019-list_groups.o 0020-destroy_hang.o 0021-rkt_destroy.o 0022-consume_batch.o 0025-timers.o 0026-consume_pause.o 0028-long_topicnames.o 0029-assign_offset.o 0030-offset_commit.o 0031-get_offsets.o 0033-regex_subscribe.o 0034-offset_reset.o 0035-api_version.o 0036-partial_fetch.o 0037-destroy_hang_local.o 0038-performance.o 0039-event.o 0040-io_event.o 0041-fetch_max_bytes.o 0042-many_topics.o 0043-no_connection.o 0044-partition_cnt.o 0045-subscribe_update.o 0046-rkt_cache.o 0047-partial_buf_tmout.o 0048-partitioner.o 0049-consume_conn_close.o 0050-subscribe_adds.o 0051-assign_adds.o 0052-msg_timestamps.o 0055-producer_latency.o 0056-balanced_group_mt.o 0062-stats_event.o 0064-interceptors.o 0068-produce_timeout.o 0069-consumer_add_parts.o 0072-headers_ut.o 0073-headers.o 0074-producev.o 0075-retry.o 0076-produce_retry.o 0077-compaction.o 0079-fork.o 0080-admin_ut.o 0081-admin.o 0083-cb_event.o 0084-destroy_flags.o 0086-purge.o 0088-produce_metadata_timeout.o 0089-max_poll_interval.o 0090-idempotence.o 0091-max_poll_interval_timeout.o 0092-mixed_msgver.o 0093-holb.o 0094-idempotence_msg_timeout.o 0099-commit_metadata.o 0102-static_group_rebalance.o 0104-fetch_from_follower_mock.o 0053-stats_cb.o 0054-offset_time.o 0057-invalid_topic.o 0058-log.o 0059-bsearch.o 0060-op_prio.o 0061-consumer_lag.o 0063-clusterid.o 0065-yield.o 0066-plugins.o 0067-empty_topic.o 0070-null_empty.o 0078-c_from_cpp.o 0082-fetch_max_bytes.o 0085-headers.o 0095-all_brokers_down.o 0097-ssl_verify.o 0098-consumer-txn.o 0100-thread_interceptors.o 0101-fetch-from-follower.o 8000-idle.o test.o rusage.o testcpp.o tinycthread.o tinycthread_extra.o rdlist.o sockem.o sockem_ctrl.o -o test-runner -lrdkafka++ -lrdkafka -lstdc++ -lm -lssl  -lcrypto  -lz  -ldl -lpthread -lrt -lpthread -lrt
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: 0001-multiobj.o:(.bss+0x0): multiple definition of `vs'; 0000-unittests.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: 0002-unkpart.o:(.bss+0x0): multiple definition of `vs'; 0000-unittests.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-test-20200215-161616

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)

Available Rust versions:
  [1]   rust-1.41.0 *


ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 19 Feb 2020 23:11:15 +0000

emerge -qpvO dev-libs/librdkafka
[ebuild  N    ] dev-libs/librdkafka-1.3.0  USE="ssl -lz4 -sasl -static-libs -zstd"
Comment 1 Toralf Förster gentoo-dev 2020-02-20 18:21:02 UTC
Created attachment 614636 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-20 18:21:05 UTC
Created attachment 614638 [details]
dev-libs:librdkafka-1.3.0:20200220-002550.log
Comment 3 Toralf Förster gentoo-dev 2020-02-20 18:21:08 UTC
Created attachment 614640 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-02-20 18:21:10 UTC
Created attachment 614642 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-02-20 18:21:13 UTC
Created attachment 614644 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-20 18:21:16 UTC
Created attachment 614646 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-02-20 18:21:19 UTC
Created attachment 614648 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-05-08 22:49:21 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da7832d7de1438aa7d7a5c5253bcaeea9d2acd17

commit da7832d7de1438aa7d7a5c5253bcaeea9d2acd17
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2020-05-08 22:39:48 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-05-08 22:49:04 +0000

    dev-libs/librdkafka: bump to v1.4.2
    
    Closes: https://bugs.gentoo.org/710324
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 dev-libs/librdkafka/Manifest                |  1 +
 dev-libs/librdkafka/librdkafka-1.4.2.ebuild | 73 +++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)